Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib
Class UIComponentTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AbstractConversationTag, HtmlComponentTagBase, SelectItemTagBase, SeparateConversationContextTag

    public abstract class UIComponentTagBase

extends javax.faces.webapp.UIComponentTag

Version:
  $Revision: 472630 $ $Date: 2006-11-08 15:40:03 -0500 (Wed, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UIComponentTagBase()`

Method Summary
`void` | `release()`
`protected void` | `setActionListenerProperty(javax.faces.component.UIComponent component, String actionListener)`
`protected void` | `setActionProperty(javax.faces.component.UIComponent component, String action)`
`protected void` | `setBooleanProperty(javax.faces.component.UIComponent component, String propName, String value)`
`void` | `setConverter(String converter)`
`void` | `setForceId(String aForceId)` Sets the forceId attribute of the tag.
`void` | `setForceIdIndex(String aForceIdIndex)` Sets the forceIdIndex attribute of the tag.
`void` | `setImageLocation(String aImageLocation)` Sets the image location attribute of the tag.
`protected void` | `setIntegerProperty(javax.faces.component.UIComponent component, String propName, String value)`
`void` | `setJavascriptLocation(String aJavascriptLocation)` Sets the javascript location attribute of the tag.
`protected void` | `setLongProperty(javax.faces.component.UIComponent component, String propName, String value)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`protected void` | `setStringProperty(javax.faces.component.UIComponent component, String propName, String value)`
`void` | `setStyleLocation(String aStyleLocation)` Sets the style location attribute of the tag.
`protected void` | `setValidatorProperty(javax.faces.component.UIComponent component, String value)`
`void` | `setValue(String value)`
`protected void` | `setValueBinding(javax.faces.component.UIComponent component, String propName, String value)`
`protected void` | `setValueChangedListenerProperty(javax.faces.component.UIComponent component, String valueChangedListener)`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIComponentTagBase

    public UIComponentTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentTag`

### setForceId

    public void setForceId(String aForceId)

  Sets the forceId attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceId` - The value of the forceId attribute.

### setForceIdIndex

    public void setForceIdIndex(String aForceIdIndex)

  Sets the forceIdIndex attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceIdIndex` - The value of the forceIdIndex attribute.

### setValue

    public void setValue(String value)

### setConverter

    public void setConverter(String converter)

### setJavascriptLocation

    public void setJavascriptLocation(String aJavascriptLocation)

  Sets the javascript location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aJavascriptLocation` - The alternate javascript location to use.

### setImageLocation

    public void setImageLocation(String aImageLocation)

  Sets the image location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aImageLocation` - The alternate image location to use.

### setStyleLocation

    public void setStyleLocation(String aStyleLocation)

  Sets the style location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aStyleLocation` - The alternate style location to use.

### setIntegerProperty

    protected void setIntegerProperty(javax.faces.component.UIComponent component,
                                      String propName,
                                      String value)

### setLongProperty

    protected void setLongProperty(javax.faces.component.UIComponent component,
                                   String propName,
                                   String value)

### setStringProperty

    protected void setStringProperty(javax.faces.component.UIComponent component,
                                     String propName,
                                     String value)

### setBooleanProperty

    protected void setBooleanProperty(javax.faces.component.UIComponent component,
                                      String propName,
                                      String value)

### setValidatorProperty

    protected void setValidatorProperty(javax.faces.component.UIComponent component,
                                        String value)

### setActionProperty

    protected void setActionProperty(javax.faces.component.UIComponent component,
                                     String action)

### setActionListenerProperty

    protected void setActionListenerProperty(javax.faces.component.UIComponent component,
                                             String actionListener)

### setValueChangedListenerProperty

    protected void setValueChangedListenerProperty(javax.faces.component.UIComponent component,
                                                   String valueChangedListener)

### setValueBinding

    protected void setValueBinding(javax.faces.component.UIComponent component,
                                   String propName,
                                   String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.